DocsAPI ReferenceCart/api/v1/cart/set-delivery
postCartPublic API v1

/api/v1/cart/set-delivery

Sets the delivery method for the cart. Use codes from the deliveryList returned by /detail.

cartpostApiV1CartSet-delivery

Parameters

1 query · 2 body

3 total
Query · 1
apiKeystringRequired

Your BizKitHub API key (passed as GET parameter).

Key format: A 32-character string matching: ^(PROD|DEV_|ROOT)[A-Za-z0-9]{28}$
Prefixes: PROD (production key), DEV_ (individual developer), ROOT (system key with no limits). Learn more

Body · 2
cartIdstringRequired
deliveryCodestringRequired

Delivery method code.

Request

POST /api/v1/cart/set-delivery

post
curl -X POST "https://api.bizkithub.com/api/v1/cart/set-delivery?apiKey=PRODPGrFxpGEtrOZfuWhnoJohUYBXuOE" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "cartId": "b411056d304d9y6mHe2SoMFBL2Apxfnb",
  "deliveryCode": "packeta"
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key